'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _recordStreams = require('./record-streams');

var _recordStreams2 = _interopRequireDefault(_recordStreams);

var _recordRunnables = require('./record-runnables');

var _recordRunnables2 = _interopRequireDefault(_recordRunnables);

var _writeJunit = require('./write-junit');

var _writeJunit2 = _interopRequireDefault(_writeJunit);

var _output = require('./output');

var _output2 = _interopRequireDefault(_output);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/* eslint-disable no-console */
exports.default = oldRun => function runWithJunit(fn) {
  (0, _recordStreams2.default)(this);
  const tests = (0, _recordRunnables2.default)(this);

  const startDate = new Date();
  oldRun.call(this, result => {
    (0, _writeJunit2.default)(_output2.default, startDate, tests, err => {
      if (err) {
        console.error(err);
        fn(result || 1);
        return;
      }
      fn(0);
    });
  });
};