'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = writeProperties;

var _writeXml = require('./write-xml');

function writeProperties(writable, properties) {
  const keys = Object.keys(properties);
  if (keys.length) {
    (0, _writeXml.openTag)(writable, 'properties');
    var _iteratorNormalCompletion = true;
    var _didIteratorError = false;
    var _iteratorError = undefined;

    try {
      for (var _iterator = keys[Symbol.iterator](), _step; !(_iteratorNormalCompletion = (_step = _iterator.next()).done); _iteratorNormalCompletion = true) {
        const name = _step.value;

        const value = properties[name];
        (0, _writeXml.emptyTag)(writable, 'property', { name, value });
      }
    } catch (err) {
      _didIteratorError = true;
      _iteratorError = err;
    } finally {
      try {
        if (!_iteratorNormalCompletion && _iterator.return) {
          _iterator.return();
        }
      } finally {
        if (_didIteratorError) {
          throw _iteratorError;
        }
      }
    }

    (0, _writeXml.closeTag)(writable, 'properties');
  }
}