'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = writeTestsuite;

var _os = require('os');

var _os2 = _interopRequireDefault(_os);

var _writeXml = require('./write-xml');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function writeTestsuite(writable, name, startDate, tests, failures, skipped, fn) {
  (0, _writeXml.openTag)(writable, 'testsuite', {
    name,
    hostname: _os2.default.hostname(),
    timestamp: startDate.toUTCString(),
    time: (new Date() - startDate) / 1000,
    tests,
    failures,
    skipped,
    errors: 0
  });
  fn();
  (0, _writeXml.closeTag)(writable, 'testsuite');
}